Decide compliance exception
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidprogram_id*Program IdFormat
uuidexception_id*Exception IdFormat
uuidapplication/json- body
decision*DecisionValue in
"approved""rejected""revoked"expected_version*Expected VersionRange
1 <= valuereason*ReasonLength
3 <= length <= 4000Successful Response
application/json- response
adopted_at*Adopted AtFormat
date-timeassessments*array<>exceptions*array<>framework_id*Framework IdFormat
uuidframework_key*Framework Keyframework_name*Framework Nameframework_version*Framework Versionframework_version_id*Framework Version IdFormat
uuidhistory*array<>id*IdFormat
uuidname*Namenext_review_at*Next Review AtFormat
date-timeowner_id*|nullreview_cadence_days*Review Cadence Daysscope*status*Statusstatus_counts*version*Versioncurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/compliance/programs/497f6eca-6276-4993-bfeb-53cbbbba6f08/exceptions/497f6eca-6276-4993-bfeb-53cbbbba6f08/decision' \ -H 'Content-Type: application/json' \ -d '{ "decision": "approved", "expected_version": 1, "reason": "string"}'Example Response
{ "adopted_at": "2019-08-24T14:15:22Z", "assessments": [ { "applicability": "string", "applicability_rationale": "string", "architecture_relationship_ids": [ "string" ], "calculated_at": "2019-08-24T14:15:22Z", "calculation_version": "string", "confidence": "string", "conflicting_evidence_ids": [ "string" ], "control_id": "81e20d46-f0a2-4692-a3cd-ac0ccfe84ea6", "control_key": "string", "description": "string", "domain": "string", "evidence_coverage": "string", "evidence_ids": [ "string" ], "exception_id": "7419d1f6-afa4-48f0-98a0-347ce0520c6a", "finding_ids": [ "string" ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "input_hash": "string", "mapping_version_id": "242f4584-be82-43c4-8462-0de58bd9e73d", "missing_requirement_keys": [ "string" ], "overlay_version": 0, "rationale": "string", "requirement_results": [ { "accepted_count": 0, "conflicting_count": 0, "description": "string", "evidence_kinds": [ "string" ], "freshness_days": 0, "minimum_evidence": 0, "requirement_key": "string", "sources": [ { "action": "string", "label": "string", "setup": "repositories" } ], "stale_count": 0, "state": "met", "title": "string" } ], "requirements": [ { "description": "string", "evidence_kinds": [ "string" ], "freshness_days": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "minimum_evidence": 0, "requirement_key": "string", "title": "string" } ], "requirements_met": 0, "requirements_total": 0, "severity": "string", "stale_evidence_ids": [ "string" ], "status": "supported", "title": "string" } ], "exceptions": [ { "approved_at": "2019-08-24T14:15:22Z", "approved_by": "02030314-b162-4b4d-8af1-88eabdcc615d", "control_id": "81e20d46-f0a2-4692-a3cd-ac0ccfe84ea6", "created_at": "2019-08-24T14:15:22Z", "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4", "decision_reason": "string", "evidence_ids": [ "string" ], "expires_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "rationale": "string", "state": "string", "version": 0 } ], "framework_id": "4c1c36c9-0232-44b3-bdd8-4bdb3daaf53b", "framework_key": "string", "framework_name": "string", "framework_version": "string", "framework_version_id": "139edecb-2463-4594-87e7-c57ba3289dfb", "history": [ { "actor_id": "04f37679-bfbf-4906-b749-01756515cecf", "created_at": "2019-08-24T14:15:22Z", "details": {}, "event_type": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "version": 0 } ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "next_review_at": "2019-08-24T14:15:22Z", "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05", "review_cadence_days": 0, "scope": {}, "status": "string", "status_counts": { "property1": 0, "property2": 0 }, "version": 0}